package com.ecep.contract.task;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.WebSocketClientTasker;
import com.ecep.contract.vo.CompanyVo;

import lombok.Setter;

/**
 * 集团相关方平台同步任务
 * <p>
 * 定时任务，每30分钟同步一次集团相关方平台的相关方信息
 * <p>
 * 任务执行时，会调用集团相关方平台的API，获取相关方信息，并更新到数据库中。
 */
public class CloudRkSyncTask extends Tasker<Object> implements WebSocketClientTasker {
    private static final Logger logger = LoggerFactory.getLogger(CloudRkSyncTask.class);


    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("集团相关方平台同步任务");
        return callRemoteTask(holder, getLocale());
    }

    @Override
    public void updateProgress(long workDone, long max) {
        super.updateProgress(workDone, max);
    }

    @Override
    public String getTaskName() {
        return "CloudRkSyncTask";
    }

}
